> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change overlays

> Updates settings for set of overlays



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml patch /streaming/streams/{stream_id}/overlays
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/streams/{stream_id}/overlays:
    patch:
      tags:
        - Overlays
      summary: Change overlays
      description: Updates settings for set of overlays
      operationId: patch_overlay
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/overlayPatchId'
        required: false
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/overlayId'
        '400':
          description: One or more parameters were specified incorrectly, check the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badrequest'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notfound'
        '422':
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or the Support Team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/upgraderequired'
components:
  schemas:
    overlayPatchId:
      allOf:
        - required:
            - id
          properties:
            id:
              type: integer
              description: ID of the overlay
          example:
            id: 1
            url: http://domain.com/myoverlay_new_3.html
            width: null
            height: null
            x: null
            'y': null
            stretch: true
        - $ref: '#/components/schemas/overlayBase'
    overlayId:
      allOf:
        - $ref: '#/components/schemas/overlayBase'
        - required:
            - id
            - url
            - stream_id
            - created_at
            - updated_at
          properties:
            id:
              type: integer
              description: ID of the overlay
            stream_id:
              type: integer
              description: ID of a stream to which it is attached
            created_at:
              type: string
              description: Datetime of creation in ISO 8601
            updated_at:
              type: string
              description: Datetime of last update in ISO 8601
          example:
            id: 1
            stream_id: 12345
            url: http://domain.com/myoverlay1.html
            width: 120
            height: 40
            x: 30
            'y': 30
            stretch: false
            created_at: '2023-09-20T00:01:01.000Z'
            updated_at: '2023-10-01T12:01:01.000Z'
    badrequest:
      type: object
      properties:
        status:
          type: integer
          description: Error number
        error:
          type: string
          description: Error message
      example:
        status: 400
        error: >-
          Bad Request response status code indicates that the server cannot or
          will not process the request due to something that is perceived to be
          a client error (for example, malformed request syntax, invalid request
          message framing, or deceptive request routing).
    notfound:
      allOf:
        - $ref: '#/components/schemas/badrequest'
        - example:
            status: 404
            error: >-
              Not Found. Entity you are looking for was not found, please check
              the initial parameters
    upgraderequired:
      type: object
      properties:
        error:
          type: string
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or support service.
      example:
        error: Feature is disabled. Contact support to enable.
    overlayBase:
      type: object
      properties:
        url:
          type: string
          description: Valid http/https URL to an HTML page/widget
        width:
          type: integer
          default: null
          description: Width of the widget
        height:
          type: integer
          default: null
          description: Height of the widget
        x:
          type: integer
          default: null
          description: Coordinate of left upper corner
        'y':
          type: integer
          default: null
          description: Coordinate of left upper corner
        stretch:
          type: boolean
          default: false
          description: >-
            Switch of auto scaling the widget. Must not be used as "true"
            simultaneously with the coordinate installation method (w, h, x, y).
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````